Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.state
Class ProducerState

    java.lang.Object
      org.jboss.jms.client.state.HierarchicalStateSupport
          org.jboss.jms.client.state.ProducerState

All Implemented Interfaces:
  HierarchicalState

public class ProducerState
extends HierarchicalStateSupport

State corresponding to a producer. This state is acessible inside aspects/interceptors.

Version:
  `$Revision: 1.6 $` $Id: ProducerState.java,v 1.6 2006/03/10 19:46:38 timfox Exp $
Author:
  Tim Fox

Field Summary

Fields inherited from class org.jboss.jms.client.state.HierarchicalStateSupport
`children, delegate, parent`

Constructor Summary
`ProducerState(SessionState parent, ProducerDelegate delegate, Destination dest)`

Method Summary
`int` | `getDeliveryMode()`
`Destination` | `getDestination()`
`int` | `getPriority()`
`long` | `getTimeToLive()`
`Version` | `getVersionToUse()`
`boolean` | `isDisableMessageID()`
`boolean` | `isDisableMessageTimestamp()`
`void` | `setDeliveryMode(int deliveryMode)`
`void` | `setDestination(Destination dest)`
`void` | `setDisableMessageID(boolean disableMessageID)`
`void` | `setDisableMessageTimestamp(boolean disableMessageTimestamp)`
`void` | `setPriority(int priority)`
`void` | `setTimeToLive(long timeToLive)`

Methods inherited from class org.jboss.jms.client.state.HierarchicalStateSupport
`getChildren, getDelegate, getParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProducerState

    public ProducerState(SessionState parent,
                         ProducerDelegate delegate,
                         Destination dest)

Method Detail

### getDestination

    public Destination getDestination()

### setDestination

    public void setDestination(Destination dest)

### isDisableMessageID

    public boolean isDisableMessageID()

### setDisableMessageID

    public void setDisableMessageID(boolean disableMessageID)

### isDisableMessageTimestamp

    public boolean isDisableMessageTimestamp()

### setDisableMessageTimestamp

    public void setDisableMessageTimestamp(boolean disableMessageTimestamp)

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### getTimeToLive

    public long getTimeToLive()

### setTimeToLive

    public void setTimeToLive(long timeToLive)

### getDeliveryMode

    public int getDeliveryMode()

### setDeliveryMode

    public void setDeliveryMode(int deliveryMode)

### getVersionToUse

    public Version getVersionToUse()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.